=== debian/changelog ===
lastpass-cli (0.3.0-2+deb8u1) stable; urgency=medium

  * Update upstream CA certificate (Closes: #786862)

 -- Troy Heber <troyh@debian.org>  Tue, 26 May 2015 13:34:23 -0600

lastpass-cli (0.3.0-2) unstable; urgency=medium

  * Update copyright file to machine readable format and include the ISC
    license from util.c

 -- Troy Heber <troyh@debian.org>  Sun, 26 Oct 2014 11:17:58 -0600

lastpass-cli (0.3.0-1) unstable; urgency=low

  * Initial Release (Closes: #766497)

 -- Troy Heber <troyh@debian.org>  Thu, 23 Oct 2014 09:05:14 -0600
