## lastpass-cli 0.5.0

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,11 @@
 CFLAGS += -Wno-deprecated-declarations -isysroot $(SDKROOT) -I$(SDKROOT)/usr/include/libxml2
 LDLIBS = -lcurl -lxml2 -lssl -lcrypto
 else
-CFLAGS += $(shell pkg-config --cflags libxml-2.0 2>/dev/null || echo -I/usr/include/libxml2)
+CFLAGS += $(shell pkg-config --cflags libxml-2.0 2>/dev/null || echo -I/usr/include/libxml2) -I/usr/local/include
 LDLIBS = -lcurl $(shell pkg-config --libs libxml-2.0 2>/dev/null || echo -lxml2) -lssl -lcrypto
+ifeq ($(UNAME_S),OpenBSD)
+LDLIBS += -lkvm
+endif
 endif
 
 all: lpass
