=== debian/changelog ===
lastpass-cli (0.5.0-1) unstable; urgency=medium

  * Include new SHA-256 CA certificate
  * Add basic regex search functionality
  * Fix hang in pinentry prompt

 -- Troy Heber <troyh@debian.org>  Tue, 26 May 2015 07:13:36 -0600
