=== debian/changelog ===
lastpass-cli (0.7.0-1) unstable; urgency=medium

  * New upstream 0.7.0

 -- Troy Heber <troyh@debian.org>  Wed, 16 Dec 2015 16:13:42 -0700
