=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Troy Heber <troyh@debian.org>
 Build-Depends: debhelper (>= 9), quilt (>= 0.47), libssl-dev, libxml2-dev, libcurl4-openssl-dev, asciidoc, xsltproc, docbook-xsl
-Standards-Version: 3.9.5.0
+Standards-Version: 3.9.6.0
 
 Package: lastpass-cli
 Architecture: any
