## lastpass-cli 0.8.1

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,10 @@
 
 UNAME_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')
 ifeq ($(UNAME_S),Darwin)
+HAS_XCODE := $(shell sh -c 'xcodebuild -version 2>/dev/null && echo 1')
+endif
+
+ifeq ($(HAS_XCODE),1)
 SDKROOT ?= $(shell xcodebuild -version -sdk macosx | sed -n 's/^Path: \(.*\)/\1/p')
 CFLAGS += -Wno-deprecated-declarations -isysroot $(SDKROOT) -I$(SDKROOT)/usr/include/libxml2
 LDLIBS = -lcurl -lxml2 -lssl -lcrypto
@@ -33,10 +37,6 @@
 %.1.html: %.1.txt
 	asciidoc -b html5 -a data-uri -a icons -a toc2 $<
 
-http.c: certificate.h
-certificate.h: thawte.pem
-	awk 'BEGIN {printf "#define CERTIFICATE_THAWTE \""} {printf "%s\\n", $$0} END {printf "\"\n"}' thawte.pem > certificate.h || rm -f certificate.h
-
 install-doc: doc-man
 	@install -v -d "$(DESTDIR)$(MANDIR)/man1" && install -m 0644 -v lpass.1 "$(DESTDIR)$(MANDIR)/man1/lpass.1"
