=== debian/changelog ===
lastpass-cli (0.8.1-1) unstable; urgency=medium

  * New upstream 0.8.1

 -- Troy Heber <troyh@debian.org>  Thu, 18 Feb 2016 13:22:53 -0700
