## lastpass-cli 1.0.0

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 BINDIR ?= $(PREFIX)/bin
 LIBDIR ?= $(PREFIX)/lib
 MANDIR ?= $(PREFIX)/share/man
+COMPDIR ?= $(shell pkg-config --variable=completionsdir bash-completion 2>/dev/null || echo $(PREFIX)/share/bash-completion/completions)
 
 CFLAGS ?= -O3 -march=native -fomit-frame-pointer -pipe
 CFLAGS += -std=gnu99 -D_GNU_SOURCE
@@ -12,11 +13,13 @@
 UNAME_S := $(shell sh -c 'uname -s 2>/dev/null || echo not')
 ifeq ($(UNAME_S),Darwin)
 HAS_XCODE := $(shell sh -c 'xcodebuild -version 2>/dev/null && echo 1')
+CFLAGS += -Wno-deprecated-declarations -I/usr/local/opt/openssl/include
+LDFLAGS += -L/usr/local/opt/openssl/lib
 endif
 
 ifeq ($(HAS_XCODE),1)
 SDKROOT ?= $(shell xcodebuild -version -sdk macosx | sed -n 's/^Path: \(.*\)/\1/p')
-CFLAGS += -Wno-deprecated-declarations -isysroot $(SDKROOT) -I$(SDKROOT)/usr/include/libxml2
+CFLAGS += -isysroot $(SDKROOT) -I$(SDKROOT)/usr/include/libxml2
 LDLIBS = -lcurl -lxml2 -lssl -lcrypto
 else
 CFLAGS += $(shell pkg-config --cflags libxml-2.0 2>/dev/null || echo -I/usr/include/libxml2) -I/usr/local/include
@@ -42,9 +45,10 @@
 
 install: all
 	@install -v -d "$(DESTDIR)$(BINDIR)" && install -m 0755 -v lpass "$(DESTDIR)$(BINDIR)/lpass"
+	@install -v -d "$(DESTDIR)$(COMPDIR)" && install -m 0644 -v contrib/lpass_bash_completion "$(DESTDIR)$(COMPDIR)/lpass"
 
 uninstall:
-	@rm -vrf "$(DESTDIR)$(MANDIR)/man1/lpass.1" "$(DESTDIR)$(BINDIR)/lpass"
+	@rm -vrf "$(DESTDIR)$(MANDIR)/man1/lpass.1" "$(DESTDIR)$(BINDIR)/lpass" "$(DESTDIR)$(COMPDIR)/lpass"
 	@rmdir "$(DESTDIR)$(MANDIR)/man1" "$(DESTDIR)$(BINDIR)" 2>/dev/null || true
 
 clean:
