=== debian/changelog ===
lastpass-cli (1.0.0-1.2ubuntu2) bionic; urgency=medium

  * Add debian/patches/0004-revert-removed-certificate-pins.patch:
    - Cherry-pick upstream commit b888411 to revert 46e2a0f
      that disabled some GlobalSign intermediate certificates.
    - This make the client start working again after the LastPass
      servers updated their certificate (LP: #1555562).

 -- Nafallo BjÃ¤levik <nafallo@ubuntu.com>  Thu, 17 May 2018 14:18:00 +0000

lastpass-cli (1.0.0-1.2ubuntu1) bionic; urgency=medium

  * Switch build-dependencies back to openssl 1.1.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 21:09:46 +0000

lastpass-cli (1.0.0-1.2build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 07:03:22 +0000

lastpass-cli (1.0.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to openssl 1.0 (Closes: #850882).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 31 Jan 2017 21:05:57 +0100

lastpass-cli (1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Get it built against openssl 1.1.0 (Closes: #828371).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 06 Dec 2016 21:10:47 +0100

lastpass-cli (1.0.0-1) unstable; urgency=medium

  * New upstream 1.0.0

 -- Troy Heber <troyh@debian.org>  Thu, 20 Oct 2016 08:17:08 -0600
