=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: lastpass-cli
 Section: utils
 Priority: optional
-Maintainer: Troy Heber <troyh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Troy Heber <troyh@debian.org>
 Build-Depends: debhelper (>= 9), quilt (>= 0.47), libssl-dev, libxml2-dev, libcurl4-openssl-dev, asciidoc, xsltproc, docbook-xsl
-Standards-Version: 3.9.6.0
+Standards-Version: 3.9.8.0
 
 Package: lastpass-cli
 Architecture: any
