=== debian/changelog ===
lastpass-cli (1.3.1-7) unstable; urgency=medium

  * Pass VERBOSE=1 for non-quiet build logs.
  * Bump Standards-Version to 4.3.0.

 -- Chris Lamb <lamby@debian.org>  Mon, 11 Feb 2019 17:02:26 +0100

lastpass-cli (1.3.1-6) unstable; urgency=medium

  * Add debian/gbp.conf.
  * Add missing pkg-config to Build-Depends. (Closes: #916268)

 -- Chris Lamb <lamby@debian.org>  Wed, 12 Dec 2018 14:40:27 +0100

lastpass-cli (1.3.1-5) unstable; urgency=medium

  * Add ca-certificates to Depends.
  * Bump Standards-Version to 4.2.1.
  * Use debhelper-compat virtual package and drop debian/compat.

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Oct 2018 10:24:17 -0400

lastpass-cli (1.3.1-4) unstable; urgency=medium

  * Ensure we have a HOME directory to avoid flaky autopkgtests.
    (Closes: #903316)

 -- Chris Lamb <lamby@debian.org>  Tue, 24 Jul 2018 18:04:07 +0800

lastpass-cli (1.3.1-3) unstable; urgency=medium

  * Create a ~/.config directory for autopkgtests.
  * Bump Standards-Version to 4.1.5.

 -- Chris Lamb <lamby@debian.org>  Sat, 14 Jul 2018 10:44:35 +0100

lastpass-cli (1.3.1-2) unstable; urgency=medium

  * Update Vcs-* to salsa.debian.org.

 -- Chris Lamb <lamby@debian.org>  Sat, 09 Jun 2018 20:17:52 +0100

lastpass-cli (1.3.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #898940)
    - Use libssl-dev over libssl1.0-dev. (Closes: #858991)
    - Make the build reproducible. (Closes: #842875)
    - Add missing cmake and bash-completion to Build-Depends.
  * Take over maintenance of package - see <https://bugs.debian.org/898940#15>
    for blessing. Thanks to Troy Heber for his previous work on this package.
  * debian/rules:
    - Ensure full hardening even though we are using CMake by setting CFLAGS
      and CXXFLAGS from CPPFLAGS.
    - Install zsh completion script.
  * debian/control:
    - Drop Build-Depends on quilt; we are a 'quilt (3.0)' source format package.
    - Add Suggests: on xclip | xsel.
    - Add Recommends on pinentry-curses.
    - Add Vcs-{Git,Browser} & Homepage headers.
    - Bump Standards-Version to 4.1.4.
  * debian/patches:
    - Drop 0001-cipher-support-opaque-EVP_CIPHER_CTX,
      0002-cipher-drop-p8inf-broken-flag-check &
      0003-pbkdf2-support-openssl-1.1; applied upstream.
    - Replace 0004-build_manpage with an override in debian/rules to
      build lpass.1 manual page and fix location in debian/manpages.
  * Upstream are not providing signed tarballs so override the
    lintian warning debian-watch-does-not-check-gpg-signature.
  * Add some autopkgtest smoke tests.
  * Add a debian/watch file.
  * Bump to debhelper compatibility level 11.
  * Tidy debian/rules, drop empty debian/install file, apply "wrap-and-sort",
    drop whitespace from debian/changelog, re-order fields, drop trailing comma
    on DEB_BUILD_MAINT_OPTIONS line.

 -- Chris Lamb <lamby@debian.org>  Wed, 06 Jun 2018 10:31:22 +0100
