=== debian/control ===
--- 
+++ 
@@ -1,14 +1,34 @@
 Source: lastpass-cli
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Troy Heber <troyh@debian.org>
-Build-Depends: debhelper (>= 9), quilt (>= 0.47), libssl-dev, libxml2-dev, libcurl4-openssl-dev, asciidoc, xsltproc, docbook-xsl
-Standards-Version: 3.9.8.0
+Maintainer: Chris Lamb <lamby@debian.org>
+Build-Depends:
+ asciidoc,
+ bash-completion,
+ cmake,
+ debhelper-compat (= 11),
+ docbook-xsl,
+ libcurl4-openssl-dev,
+ libssl-dev,
+ libxml2-dev,
+ pkg-config,
+ xsltproc,
+Standards-Version: 4.3.0
+Homepage: https://github.com/lastpass/lastpass-cli
+Vcs-Git: https://salsa.debian.org/lamby/pkg-lastpass-cli.git
+Vcs-Browser: https://salsa.debian.org/lamby/pkg-lastpass-cli
 
 Package: lastpass-cli
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, binutils
+Depends:
+ binutils,
+ ca-certificates,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ pinentry-curses,
+Suggests:
+ xclip | xsel,
 Description: command line interface to LastPass.com
  This application is a command line interface to the LastPass.com services. It
  brings both better security and convenience by allowing you to access, add,
