=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -fno-aggressive-loop-optimizations

include /usr/share/dpkg/buildflags.mk

CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- all doc-man VERBOSE=1

override_dh_auto_install:
	dh_auto_install
	cp contrib/lpass_zsh_completion debian/lastpass-cli/usr/share/zsh/vendor-completions/_lpass
