=== debian/changelog ===
lastpass-cli (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove version.h in clean target to avoid source modification issues.

 -- Chris Lamb <lamby@debian.org>  Wed, 27 Mar 2019 10:45:58 -0400
