=== debian/changelog ===
lastpass-cli (1.3.3-4) unstable; urgency=medium

  [ Chris Lamb ]
  * Fix FTBFS with GCC 10.0. (Closes: #957416)
  * Bump Standards-Version to 4.5.0.
  * Bump debhelper compat level to 13.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Chris Lamb <lamby@debian.org>  Wed, 22 Jul 2020 11:12:41 +0100

lastpass-cli (1.3.3-3) unstable; urgency=medium

  [ Chris Lamb ]
  * Ensure the tests call the top-level Makefile's "test" target as that builds
    the required lpass-test binary.
  * Move to debhelper-compat level 12.
  * Bump Standards-Version to 4.4.1.
  * Specify Rules-Requires-Root: no.
  * Replace deprecated variables with AUTOPKGTEST_TMP.

  [ Helmut Grohne ]
  * Fix cross-build FTBFS by specifying debhelper runs CMake. (Closes: #947209)

 -- Chris Lamb <lamby@debian.org>  Mon, 23 Dec 2019 10:24:33 +0000

lastpass-cli (1.3.3-2) unstable; urgency=medium

  * Sourceful upload to unstable to ensure migration to testing.
  * Bump Standards-Version to 4.4.0.
  * Don't build release tags in gitlab-ci.yml.

 -- Chris Lamb <lamby@debian.org>  Sat, 20 Jul 2019 17:13:20 -0300

lastpass-cli (1.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Mon, 22 Apr 2019 18:00:34 +0100
