=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
  asciidoc,
  bash-completion,
  cmake,
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  docbook-xsl,
  libcurl4-openssl-dev,
  libssl-dev,
  libxml2-dev,
  pkg-config,
  xsltproc,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/lastpass/lastpass-cli
 Vcs-Git: https://salsa.debian.org/lamby/pkg-lastpass-cli.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-lastpass-cli
+Rules-Requires-Root: no
 
 Package: lastpass-cli
 Architecture: any
