=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,18 @@
 CXXFLAGS += $(CPPFLAGS)
 
 %:
-	dh $@
+	dh $@ --buildsystem=cmake --builddirectory=build
 
 override_dh_auto_build:
-	dh_auto_build -- all doc-man VERBOSE=1
+	dh_auto_build -- all doc-man
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f version.h
 
 override_dh_auto_install:
 	dh_auto_install
 	cp contrib/lpass_zsh_completion debian/lastpass-cli/usr/share/zsh/vendor-completions/_lpass
+
+override_dh_auto_test:
+	dh_auto_test --buildsystem=makefile --builddirectory=.
