## lastpass-cli 1.3.4

=== debian/changelog ===
lastpass-cli (1.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.1.

 -- Chris Lamb <lamby@debian.org>  Sat, 17 Dec 2022 10:19:29 +0000
