=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libxml2-dev,
  pkg-config,
  xsltproc,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/lastpass/lastpass-cli
 Vcs-Git: https://salsa.debian.org/lamby/pkg-lastpass-cli.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-lastpass-cli
