## lastpass-cli 1.3.6

=== debian/changelog ===
lastpass-cli (1.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 09 Sep 2023 09:52:20 -0700

lastpass-cli (1.3.5-2) unstable; urgency=medium

  * Always use the Debian version number. (Closes: #1051218)

 -- Chris Lamb <lamby@debian.org>  Tue, 05 Sep 2023 10:12:30 -0700

lastpass-cli (1.3.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #1050973)

 -- Chris Lamb <lamby@debian.org>  Thu, 31 Aug 2023 16:37:52 -0700

lastpass-cli (1.3.4-2) unstable; urgency=medium

  * Also clean test/.lpass directory. (Closes: #1048723)

 -- Chris Lamb <lamby@debian.org>  Tue, 22 Aug 2023 13:44:44 -0700
