=== debian/changelog ===
lastpass-cli (1.3.7-1~deb12u1) bookworm; urgency=medium

  * Upload latest upstream version to fix compatability with Lastpass's
    SSL keys. (Closes: #1055876)

 -- Chris Lamb <lamby@debian.org>  Thu, 30 Nov 2023 10:16:57 +0000

lastpass-cli (1.3.7-1) unstable; urgency=medium

  * New upstream release. (Closes: #1055876)
  * Drop 0001-Fix-FTBFS-with-GCC-10.0.patch; applied upstream.

 -- Chris Lamb <lamby@debian.org>  Mon, 13 Nov 2023 12:40:41 +0000
