## lastpass-cli 1.4.0

=== debian/changelog ===
lastpass-cli (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 20 Apr 2024 09:40:11 +0100
