## lastpass-cli 1.5.0

=== debian/changelog ===
lastpass-cli (1.5.0-2) unstable; urgency=medium

  * Fix FTBFS with GCC 14. (Closes: #1075129)

 -- Chris Lamb <lamby@debian.org>  Sun, 28 Jul 2024 11:22:07 +0100

lastpass-cli (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 18 May 2024 09:16:54 +0100
