## lastpass-cli 1.6.0

=== debian/changelog ===
lastpass-cli (1.6.0-1) unstable; urgency=medium

  * New upstream release.
    - Drop 0002-Fix-FTBFS-with-GCC-14.patch; similar change applied upstream.
  * Bump Standards-Version to 4.7.0.

 -- Chris Lamb <lamby@debian.org>  Sat, 17 Aug 2024 10:23:21 +0100
