=== debian/changelog ===
lastpass-cli (1.6.1-4) unstable; urgency=medium

  * Fix compatibility with CMake 4.0. (Closes: #1113094)
  * Don't use the old FSF address in debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Tue, 02 Sep 2025 10:28:27 -0700

lastpass-cli (1.6.1-3) unstable; urgency=medium

  * Apply patch from @ncopa on Github issue to fix a compatibility issue with
    OpenSSL 3.5. (Re: #1092429)

 -- Chris Lamb <lamby@debian.org>  Tue, 20 May 2025 10:40:46 -0700

lastpass-cli (1.6.1-2) unstable; urgency=medium

  * Don't fail the build if the testsuite fails. The underlying package works
    successfully, but the test harness supplied by upstream is regrettably,
    currently buggy. (Closes: #1092429)
  * Bump Standards-Version to 4.7.2.

 -- Chris Lamb <lamby@debian.org>  Mon, 19 May 2025 11:27:38 -0700

lastpass-cli (1.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Fri, 22 Nov 2024 08:29:06 +0000
