=== debian/rules ===
--- 
+++ 
@@ -17,11 +17,14 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f version.h
+	rm -rf version.h test/.lpass
 
 override_dh_auto_install:
 	dh_auto_install
 	cp contrib/lpass_zsh_completion debian/lastpass-cli/usr/share/zsh/vendor-completions/_lpass
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5
+
 override_dh_auto_test:
 	dh_auto_test --buildsystem=makefile --builddirectory=.
