=== debian/tests/control ===
Tests: 0001-smoke-test
Depends: @, shunit2
Restrictions: allow-stderr
